%def_disable backport
%def_without qt
%define truename GLE
Name: gle
Version: 4.0.12
Release: alt3
Summary: GLE - Graphics language that produces ps/eps/pdf/png/jpg ouput
Summary(ru_RU.CP1251): GLE -   .   ps/eps/pdf/png/jpg
Copyright: GPL
Group: Graphics
Packager: Igor Vlasenko <viy@altlinux.org>
URL: http://glx.sourceforge.net/
Source: http://dl.sourceforge.net/glx/%{truename}-%{version}-src.zip
Source1:http://glx.sourceforge.net/download/gle-emacs.el
Source2:gle.el
Source3:http://glx.sourceforge.net/download/gle.vim
Source6:http://glx.sourceforge.net/download/gle.nedit
# moved to gle-doc
#Source4:http://dl.sourceforge.net/glx/gle-manual-4.0.9.pdf
#Source5:http://dl.sourceforge.net/glx/GLEusersguide.pdf


# Automatically added by buildreq on Thu Sep 21 2006
BuildRequires: gcc-c++ libjpeg-devel libncurses-devel libtiff-devel unzip
#BuildRequires: xorg-x11-devel xorg-x11-libs gcc-c++ libpng-devel libstdc++-devel libtiff-devel unzip zlib-devel libjpeg-devel libncurses-devel

#BuildNotRequires: fontconfig qt4-settings 
%if_enabled backport
BuildRequires: xorg-x11-devel xorg-x11-libs
%else
BuildRequires: imake libXt-devel xorg-cf-files
%endif
%if_with qt
BuildRequires: libqt4-devel
%endif

%description
GLE is a graphics language that produces postscript, EPS, PDF, PNG, or JPG ouput from a simple script file. The GLE scripting language is full featured with variables, subroutines, logic control, looping, and graphing tools. It is great for plotting and charting data.

GLE can create very complex output with text and graphics (including graphs and charts) from a simple plain text file.

GLE is a full featured programing language that includes variables, subroutines, logic control, looping, a graphing tool, and more to produce high quality postscript output. It has a full range of facilities for producing publication-quality graphs, diagrams, posters and slides. GLE provides LaTeX quality fonts together with a flexible graphics module which allows the user to specify any feature of a graph (down to the line width of the subticks, for example). Complex pictures can be drawn with user-defined subroutines and simple looping structures. Essentially, GLE is a programming language and if you are used to writing software, using LaTeX, or any other non-WYSIWYG tools, then you will enjoy using GLE.

%if_with qt
%package qt
Summary: QT GUI tool for GLE Graphics language
Group: Graphics

%description qt
GLE is a graphics language that produces postscript, EPS, PDF, PNG, or JPG ouput from a simple script file. The GLE scripting language is full featured with variables, subroutines, logic control, looping, and graphing tools. It is great for plotting and charting data.

GLE can create very complex output with text and graphics (including graphs and charts) from a simple plain text file.
%endif

%prep

#setup -q -n %{truename}-%{version}
%setup -q -n gle4
#patch -p1

%build
#export BOOSTDIR=/usr/include/boost
#export GLE_TOP=$PWD
#%__subst 's|/usr/share/%{name}|%{_libdir}/%{name}|' config.gcc
#%__make -f Makefile.gcc
%__subst 's|-L$x_libraries||' configure
%configure --with-manip --with-x --with-qt=%{_libdir}/qt4
#%make_build # parallel build fails
make

%install
#%__make -f Makefile.gcc GLE_RPM_ROOT=$RPM_BUILD_ROOT install
%make_install install DESTDIR=%buildroot

cp %{SOURCE6} %{SOURCE3} .
#cp {SOURCE5} {SOURCE4} .
%__mkdir_p $RPM_BUILD_ROOT/%_emacslispdir
%__mkdir_p $RPM_BUILD_ROOT/etc/emacs/site-start.d
%__cp %{SOURCE1} $RPM_BUILD_ROOT/%_emacslispdir/
%__cp %{SOURCE2} $RPM_BUILD_ROOT/etc/emacs/site-start.d/

%files
%doc README.txt gle.vim gle.nedit
%_bindir/gle
%_bindir/manip
#%dir %_libdir/%{truename}
#%_libdir/%{truename}/*
%dir %_datadir/%{name}/%{version}
%_datadir/%{name}/%{version}/*
%_emacslispdir/*
/etc/emacs/site-start.d/*

%if_with qt
%files qt
%_bindir/qgle
%endif

%changelog 
* Mon Oct 23 2006 Igor Vlasenko <viy@altlinux.ru> 4.0.12-alt3
- built def_without qt due to compilation problems in fresh Sisyphus

* Fri Sep 22 2006 Igor Vlasenko <viy@altlinux.ru> 4.0.12-alt2
- fixed spec for x86_64

* Mon Sep 18 2006 Igor Vlasenko <viy@altlinux.ru> 4.0.12-alt1
- new version
- fixed Group to Graphics

* Mon May 15 2006 Igor Vlasenko <viy@altlinux.ru> 4.0.11-alt3
- C++ fixes for gcc 4

* Mon Dec 26 2005 Igor Vlasenko <viy@altlinux.ru> 4.0.11-alt2
- added /usr/lib/gle (thanks to Vitaliy Lipatov)
- split gle and gle-doc. 
  gle-doc is updated less frequent and asynchronically with gle,
  so this split will considerably reduce gle traffic.

* Fri Dec 23 2005 Igor Vlasenko <viy@altlinux.ru> 4.0.11-alt1
- new version

* Mon Nov 21 2005 Igor Vlasenko <viy@altlinux.ru> 4.0.10-alt2
- gle-manual updated

* Wed Nov 16 2005 Igor Vlasenko <viy@altlinux.ru> 4.0.10-alt1
- new version

* Tue Sep 27 2005 Igor Vlasenko <viy@altlinux.ru> 4.0.9-alt2
- utils moved from _datadir to _libdir

* Fri Aug 26 2005 Igor Vlasenko <viy@altlinux.ru> 4.0.9-alt1
- new version

* Tue Jun 23 2005 Igor Vlasenko <viy@altlinux.ru> 4.0.8-alt0.1
- first build for Sisyphus
